<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$nivel=$sessao->getVar('nivel');
//echo(" Operador: $nomeOperador<br>");

switch ($tela):



    case 'listar':
	   if (isset($_POST['limpar'])):
	     echo("entrou no limpar   <br>");
	   					 //deleta registro na tabela logado/////////////
						 $sql="delete from logado where log_id>0";
					     //echo("sql de gravacao=$sql<br>");
				         $userNota = new generica();
                         $userNota->campos_valores = $sql;				 
						 $userNota->inserirEspecial($userNota);
                ////////////final da inclusa na tab. logado/////////	
	   
	   endif;
	
	
	
        echo '<h2>Acessos ao sistema</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Laboratório</th><th>Operador</th><th>dia/hora</th>
                </tr>
            </thead>
            <tbody>
                <?php 
			    //ENTRA DE QUAKQUER MANEIRA
		 	 	$generica=new tabelagenerica();
				$generica->tabela="logado";
				$generica->campos_valores = array(
						"log_nome_labo" => NULL,
						"log_operador" => NULL,
						"log_dia_hora" => NULL,
					);
				//$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
			    $generica->selecionaCampos($generica);
				while ($resgenerica = $generica->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$resgenerica->log_nome_labo);
                    printf('<td>%s</td>',$resgenerica->log_operador);
                    printf('<td>%s</td>',$resgenerica->log_dia_hora);
                    echo '</tr>';
			    endwhile;				
                ?>
            </tbody>
        </table>
   	<form class="userform" method="post" action="">     
		         <fieldset>
		
                 <legend>Excluir registros</legend>
                    <ul>
						<input type="submit" name="limpar" value="Limpar" /></li>
                    </ul>
                </fieldset>
	</form>			
        <?php        
    break;//final do case listar

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>